For the complete documentation index, see llms.txt. This page is also available as Markdown.

Profiles

A Swish profile is the entity to which Items and Lists belong.

post
Authorizations
HTTPRequired
Body
emailstringRequired

The email of the profile to identify

Example: example@swish.app
Responses
200

The profile has been identified

application/json
post/profiles/identify
POST /api/2025-04/profiles/identify HTTP/1.1
Host: swish.app
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 29

{
  "email": "example@swish.app"
}
{
  "data": {
    "authFlow": "/customer_authentication/login"
  }
}
post
Authorizations
HTTPRequired
Body
customerstringOptional

A customer GID to create a token for.

Example: gid://shopify/Customer/1234567890
sessionstringOptional

A session GID to link to the customer.

Example: gid://swish/Session/abc123
Responses
201

The token has been created

application/json
post/profiles/token
POST /api/2025-04/profiles/token HTTP/1.1
Host: swish.app
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 87

{
  "customer": "gid://shopify/Customer/1234567890",
  "session": "gid://swish/Session/abc123"
}
{
  "data": {
    "token": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c",
    "profile": "gid://swish/Session/abc123"
  }
}

Last updated